# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "shakehand"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A rust i18n lib - Let different languages shake hands with each other!"
homepage = "https://github.com/catilgrass/shakehand"
readme = false
keywords = [
    "internationalization",
    "i18n",
    "localization",
    "translation",
    "compile-time",
]
categories = [
    "internationalization",
    "localization",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/catilgrass/shakehand"
resolver = "2"

[lib]
name = "shakehand"
path = "src/lib.rs"
proc-macro = true

[dependencies.just_fmt]
version = "0.1.2"

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.45"

[dependencies.syn]
version = "2.0.117"

[dependencies.toml]
version = "0.8"
